# Uses of Interface
org.eclipse.search.ui.IQueryListener

Packages that use IQueryListener
Package
Description
org.eclipse.search.ui
Classes and interface required to contribute search dialog pages and search result view pages.

## Uses of IQueryListener in org.eclipse.search.ui

Methods in org.eclipse.search.ui with parameters of type IQueryListener
Modifier and Type
Method
Description
`static void`
NewSearchUI.`addQueryListener(IQueryListener l)`
Registers the given listener to receive notification of changes to queries.
`static void`
NewSearchUI.`removeQueryListener(IQueryListener l)`
Removes the given query listener.